Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
Returns a paginated list of guardrail rules for the current project.
curl --request GET \
--url https://api.orq.ai/v2/guardrail-rules \
--header 'Authorization: Bearer <token>'{
"data": [
{
"_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by_id": "<string>",
"display_name": "<string>",
"enabled": true,
"project_id": "<string>",
"timeout": 1001,
"updated_at": "2023-11-07T05:31:56Z",
"updated_by_id": "<string>",
"description": "<string>",
"expression": {
"cel": "<string>",
"config": {}
},
"guardrails": [
{
"execute_on": "input",
"id": "<string>",
"is_guardrail": true,
"sample_rate": 0.5
}
]
}
],
"has_more": true,
"object": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.orq.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
1 <= x <= 200A cursor for use in pagination.
A cursor for use in pagination.
Optional filter by project ID.
Was this page helpful?
curl --request GET \
--url https://api.orq.ai/v2/guardrail-rules \
--header 'Authorization: Bearer <token>'{
"data": [
{
"_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by_id": "<string>",
"display_name": "<string>",
"enabled": true,
"project_id": "<string>",
"timeout": 1001,
"updated_at": "2023-11-07T05:31:56Z",
"updated_by_id": "<string>",
"description": "<string>",
"expression": {
"cel": "<string>",
"config": {}
},
"guardrails": [
{
"execute_on": "input",
"id": "<string>",
"is_guardrail": true,
"sample_rate": 0.5
}
]
}
],
"has_more": true,
"object": "<string>"
}